/* ****************************************************************************
;                                                                             *
;    Filename: Nokia 7110 Library  (H FILE)(Nokia7110.h)                           *
;    Date: May 27, 2009                            	                          *
;    File Version: 001                                                        *
;                                                                             *
;    Author:   Jason Lopez                                                    *
;    Company:  AtomSoft                                                       *
;                                                                             *
;******************************************************************************
; Parts Needed:
; Nokia 7110
; PIC Micro
*/
#ifndef _NOKIA7110_H
#define _NOKIA7110_H

#include <p18cxxx.h>
#include <delays.h>
#include <string.h>

void CLS(void);
void LCD_Init(void);
void LCD_Reset(void);
void LCD_Send(unsigned char cmd, unsigned char type);
void LCDImage(rom unsigned char *image,char left, char top);
void LCDString(rom unsigned char *str,unsigned char fade, unsigned char typed, unsigned char style, unsigned char top,unsigned char left);
void SendByte(unsigned char data);
void DelayMs(unsigned int ms);

	#define LCDt	TRISC				//LCD TRIS 
	#define RST		LATCbits.LATC0		//LCD Reset PIN
	#define CS		LATCbits.LATC1		//LCD CS PIN
	#define A0		LATCbits.LATC2		//LCD A0 (D/C) PIN
	#define SCL		LATCbits.LATC3		//LCD SCL (clock) PIN
	#define SDO		LATCbits.LATC5		//LCD SDATA PIN 

	#define Mhz		8					//4,8,12,16,20 Available
#endif